Subject: Re: [Simple] New draft on trust_path_discovery

From: [email-masked]
Date: Mon, 1 Aug 2005 04:07:12 -0400

On Jul 25, 2005, at 10:08 PM, Henning Schulzrinne wrote:

> Thanks for the comments. I agree that scaling is going to be a  
> challenge, although one has to be careful to compare distribution  
> with local caching with queries in terms of overall efficiency.  
> (This is something we have not done yet, unfortunately.) Unlike BGP  
> routing data, these trust relationships are likely to be stable  
> over very long time periods, measured at least in days or weeks, so  
> that the total volume of information may not be all that large,  
> particularly if one constrains the propagation. (This is the  
> converse to BGP aggregation - you need to advertise every prefix  
> that can't be aggregated, even if across ten AS hops, while long- 
> haul trust relationships are probably of little interest. A friend  
> ten links removed is not too meaningful.)
>
OTOH rapid revocation of trust when somebody on the trust chain gets  
indicted may be as bad rapid route withdrawal globally in BGP.

> In general, if this type of trust path discovery is useful, it is  
> likely to be useful for a somewhat enlarged group beyond one's own  
> immediate acquaintances. I would expect to find most IETFers and  
> networking faculty on my list of trust paths, but not a random  
> teenager from New Zealand. Those strangers may just have to send me  
> email first ("don't call me, I'll call you").
>
> The problem with query-based protocols is to find the trusting  
> parties, i.e., answering "who is trusting John Doe (who is sending  
> me an IM)?". It would be very difficult to go ask all my friends  
> and then have them ask their friends.
>
> As to the privacy issues, I think the only viable solution is to  
> only declare "public" trust, i.e., for people that one is willing  
> to stand up  for in public, similar to the links in the various  
> social network sites like Friendster. This will reduce the number  
> of trust relationships, but for most people, I suspect that the  
> large majority of "do I trust this person not to be selling  
> aluminum siding" cases won't fall into the category of friends that  
> need to be hidden from the world. This clearly needs more  
> discussion in the draft.
>
> Henning
>
> Jonathan Rosenberg wrote:
>
>> This is a very interesting draft. This kind of presence-based  
>> reputation system is definitely a strong contender for a piece of  
>> the anti-spam puzzle.
>> Building a protocol to do this is very challenging. One of the  
>> design decisions is whether or not it is pushed based, akin to a  
>> vector routing protocl (as you have proposed) or whether it is  
>> query-based. I am concerned that a push-based routing protocol  
>> type of solution is simply not going to scale, as the level of  
>> aggregation will not be sufficient. Though there is a form of  
>> aggregation, in terms of combining paths to the same recipient,  
>> there is no way to aggregate decisions across recipients. The  
>> latter is analagous to combining prefixes in BGP, and that is not  
>> possible here since the identifiers are from a flat namespace.
>> Furthermore, I may not want to reveal all of my trust  
>> relationships to everyone, indeed, I may not want to reveal the  
>> same trust relationships to different people. Consider this  
>> example. I have a buddy list with lots of buddies on it. Those  
>> buddies include colleagues from work, family, and certain business  
>> associates that I deal with, but confidentially (example: the  
>> business development manager from a company about to acquire my  
>> company). I don't want everyone I trust to actually know that I  
>> trust this biz dev guy, since that reveals confidential information.
>> Because of this, I think that these trust chains need to be query  
>> based. Indeed, care must be taken to make sure the privacy issues  
>> I mention above can be dealt with. Indeed, if you allow transitive  
>> queries - user A queries B that queries C, it can get really hard  
>> to preserve the privacy needed.
>> Thanks,
>> Jonathan R.
>>
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 01 Aug 2005 04:25:57 -0400

> indicted may be as bad rapid route withdrawal globally in BGP.

Agreed; but unless you hang out with CEOs of companies specializing in 
communications or health care (or the local branch of the Cosa Nostra), 
indictments of friends are hopefully rare event. Thus, the facility of 
rapid withdrawal must be there, but seems unlikely to add much traffic.

Henning